# Function isQuerySupportedByModule

- isQuerySupportedByModule<T>(mod, query, payloads?): boolean

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & BoundWitnessFields & {
    query: string;
    resultSet?: string;
    schema: "network.xyo.boundwitness";
    } = SchemaFields & PayloadFields & BoundWitnessFields & {
    query: string;
    resultSet?: string;
    schema: "network.xyo.boundwitness";
    }

  #### Parameters

  - ##### mod: Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  - ##### query: T

  - ##### `Optional` payloads: (SchemaFields & PayloadFields & {
    schema: string;
    })[]

  #### Returns boolean

  - Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/SupportedQueryValidator.d.ts:4

Generated using TypeDoc